<?
/** 
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
 */
 if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
include('config/config_vongquay.php');

switch ($_GET['action']){
	case 'spin_paid':
		$spinnumber = abs(intval($_GET['spinnumber']));
		$money_type = $_GET['money_type'];
		$pass2 = $_GET['pass2'];
		
		if(empty($spinnumber)) { echo "Chưa điền số lượng lần quay muốn mua"; }
		elseif (preg_match("/[^0-9$]/", $spinnumber)) { echo "Dữ liệu lỗi - Số lần quay chỉ được sử dụng số (1-9)."; }
		elseif (empty($money_type)) { echo "Chưa nhập loại tiền tệ"; }
		elseif ($money_type!='gcoin' && $money_type!='vpoint') { echo "Dữ liệu lỗi - Loại tiền tệ chỉ có thể là Gcoin hoặc Vpoint"; }
		elseif (empty($pass2)) { echo "Chưa nhập mật khẩu cấp 2"; }
		elseif (preg_match("/[^a-zA-Z0-9_$]/", $pass2)) { echo "Dữ liệu lỗi - Mật khẩu cấp 2 chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _."; }
		else {
			if($money_type=='gcoin') {
				$cost = $spinnumber * $costspin_gcoin;
				if($cost > $_SESSION['acc_gcoin']) { echo "Số tiền phải trả lớn hơn số Gcoin hiện có."; }
				$money_name = 'acc_gcoin';
			}
			elseif($money_type=='vpoint') {
				$cost = $spinnumber * $costspin_vpoint;
				if($cost > $_SESSION['acc_vpoint']) { echo "Số tiền phải trả lớn hơn số Vpoint hiện có."; }
				$money_name = 'acc_vpoint';
			}
			
			$getcontent_url = $server_url . "/sv_relax.php";
			$getcontent_data = array(
				'login'			=>  $_SESSION['mu_username'],
				'spinnumber'	=>	$spinnumber,
				'money_type'	=>	$money_type,
				'pass2'			=>	$pass2,
				'action'		=>  'spin_paid',
				
				'pagesv'	=>	'sv_relax_vongquay',
				'string_login'	=>  $_SESSION['checklogin'],
				'passtransfer'	=>  $passtransfer
			);
			$reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
			
			if ( empty($reponse) ) echo "Server bảo trì.";
			elseif($reponse == "login_other") {
				echo "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
				session_destroy();
			}
			else {
				$reponse_explode = explode('<vweb>', $reponse);
				if($reponse_explode[1] == 'OK') {
					$_SESSION['VWEB_LanQuayItem'] = $reponse_explode[3];
					$money_type = $reponse_explode[4];
					if($money_type=='gcoin') {
						$_SESSION['acc_gcoin'] = $reponse_explode[5];
					}
					elseif($money_type=='vpoint') {
						$_SESSION['acc_vpoint'] = $reponse_explode[5];
					}
				}
				
				echo $reponse;
			}
		}
	break;
	case 'spin_number':
		$getcontent_url = $server_url . "/sv_relax.php";
        $getcontent_data = array(
            'login'    =>  $_SESSION['mu_username'],
            'name'    =>  $_SESSION['mu_nvchon'],
            'action'    =>  'spin_number',
			
			'pagesv'	=>	'sv_relax_vongquay',
            'string_login'    =>  $_SESSION['checklogin'],
            'passtransfer'    =>  $passtransfer
        );
        $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

        if (empty($reponse)) echo "Server bảo trì.";
        elseif($reponse == "login_other") {
        	echo "Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.";
        	session_destroy();
        }
        else {
			$report = read_TagName($reponse, 'info', 1);
			$result = explode('|', $report);
        	if ($result[0]=='OK') echo $result[1];
        	else echo $result[0];
        }
    break;
    case 'spin_receive':
	$solanquay = $_GET['solanquay']; $solanquay = abs(intval($solanquay));
	if($solanquay > 0 && $solanquay <= $_SESSION['VWEB_LanQuayItem']){
        $getcontent_url = $server_url . "/sv_relax.php";
        $getcontent_data = array(
            'login'    =>  $_SESSION['mu_username'],
            'name'    =>  $_SESSION['mu_nvchon'],
            'action'    =>  'spin_receive',
			'solanquay'		=>	$solanquay,
			
			'pagesv'	=>	'sv_relax_vongquay',
            'string_login'    =>  $_SESSION['checklogin'],
            'passtransfer'    =>  $passtransfer
        );
        $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
		echo $reponse;
        if (empty($reponse)) echo "Server bảo trì.";
	}else{echo "Số lần quay không được để trống hoặc không được vượt quá số lần quay đang có!";exit();}
    break;
}

?>